Bug 1126888 - oo-app-info is broken under docker
Summary: oo-app-info is broken under docker
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Derek Carr
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 14:08 UTC by Luke Meyer
Modified: 2015-05-15 00:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:50:18 UTC


Attachments (Terms of Use)

Description Luke Meyer 2014-08-05 14:08:13 UTC
Description of problem:

# oo-broker oo-app-info -f whatever
Loading broker environment... /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': cannot load such file -- app_info (LoadError)
	from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'
	from /usr/sbin/oo-app-info:95:in `<main>'

Comment 1 Derek Carr 2014-08-08 15:22:41 UTC
Reproduced the issue.  Debugging further.

Comment 2 Derek Carr 2014-08-08 16:40:36 UTC
Fixed in PR:
https://github.com/openshift/origin-server/pull/5704

Comment 3 Jianwei Hou 2014-08-11 03:00:51 UTC
This PR is not yet merged

Comment 4 Jianwei Hou 2014-08-12 02:29:43 UTC
Verified on devenv_5064
[root@ip-10-7-175-188 ~]# oo-broker oo-app-info -f whatever
Loading broker environment... Done.

Error: No apps found for fqdn: 'whatever'


Note You need to log in before you can comment on or make changes to this bug.